Subject: Re: [PATCH 3/3] git --help COMMAND brings up the git-COMMAND man-page., take two

From: Andreas Ericsson <[email-masked]>
Date: Thu, 17 Nov 2005 00:16:38 +0100

H. Peter Anvin wrote:
> Junio C Hamano wrote:
> 
>> "H. Peter Anvin" <[email-masked]> writes:
>>
>>> The way this made it into the actual tree was to call /usr/bin/man, 
>>> but still using execlp().  This is clearly bogus.  There *ARE* good 
>>> reasons to use PATH resolutions for this, since man is one of the 
>>> interactive commands the user may want to wrapper.
>>
>>
>> Oh, that was my call, so please do not blame Andreas.
>> I just sent out a proposed patch to address all the points
>> discussed on the list for the last several hours.
>>
> 
> FWIW, I rarely blame people for bad code; *everyone* does something 
> stupid every now and then, and for most of us, far more often than that. 
>  "This piece of code is stupid" != "the author of this piece of code is 
> stupid", a distinction which unfortunately often gets lost.
> 

True, but it's possible to have a 180 iq and still know nothing about 
programming. Anyhow, I sent the first patch too, so please blame me if 
anyone. If I was hoping to be admired I'd go play video-games with my 6 
year old cousin.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231